Subject: GDB on program with args
From: [email-masked] (Jeff Epler)

18 Jan 1997 17:18:29 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

Hi.

I'm trying to use gdb, but I'm having lots of problems.  It just plain
doesn't work if I 'run [args]'.

Here's a transcript from gdb:

This GDB was configured as "i386-cygwin32"...
(gdb) break main
Breakpoint 1 at 0x401027: file foo.c, line 2.
(gdb) run
Starting program: /src/test/a.exe
bff30000:/WINDOWS/SYSTEM/GDI32.DLL
bff60000:/WINDOWS/SYSTEM/USER32.DLL
7e2e0000:/WINDOWS/SYSTEM/WSOCK32.DLL
bfef0000:/WINDOWS/SYSTEM/ADVAPI32.DLL
bff70000:/WINDOWS/SYSTEM/KERNEL32.DLL
10000000:/WINDOWS/SYSTEM/CYGWIN.DLL
bff00000:/WINDOWS/SYSTEM/COMCTL32.DLL
7eb40000:/WINDOWS/SYSTEM/SHELL32.DLL
61000000:/WINDOWS/SYSTEM/URL.DLL

Breakpoint 1, main (c=1, v=0x256f9d0) at foo.c:2
2               int i=0;
(gdb) continue
Continuing.
0 /src/test/a.exe

Program exited with code 01.
(gdb) run -v -l jepler falcon.inetnebr.com
Starting program: /src/test/a.exe -v -l jepler falcon.inetnebr.com
[gdb locks up here, if I try to 'kill' it with kill.exe, windows 95
locks up]

Here's foo.c:
int main(int c, char **v) {
        int i=0;
        for(;i<c;i++) printf("%d %s\n", i, v[i]);
}

(It just prints out its arguments in order)

This is 17.1, on windows 95.

Anyone have a clue for me?

Jeff
-- 
\/ Jeff Epler jepler@{inetnebr.com|cse.unl.edu|herbie.unl.edu|nyx.cs.du.edu}
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".